package com.bonus.material.repair.mapper;

import java.util.List;
import com.bonus.material.repair.domain.RepairPartDetails;

/**
 * 维修配件详细Mapper接口
 * 
 * @author xsheng
 * @date 2024-10-16
 */
public interface RepairPartDetailsMapper {
    /**
     * 查询维修配件详细
     * 
     * @param id 维修配件详细主键
     * @return 维修配件详细
     */
    public RepairPartDetails selectRepairPartDetailsById(Long id);

    /**
     * 查询维修配件详细列表
     * 
     * @param repairPartDetails 维修配件详细
     * @return 维修配件详细集合
     */
    public List<RepairPartDetails> selectRepairPartDetailsList(RepairPartDetails repairPartDetails);

    /**
     * 新增维修配件详细
     * 
     * @param repairPartDetails 维修配件详细
     * @return 结果
     */
    public int insertRepairPartDetails(RepairPartDetails repairPartDetails);

    /**
     * 修改维修配件详细
     * 
     * @param repairPartDetails 维修配件详细
     * @return 结果
     */
    public int updateRepairPartDetails(RepairPartDetails repairPartDetails);

    /**
     * 删除维修配件详细
     * 
     * @param id 维修配件详细主键
     * @return 结果
     */
    public int deleteRepairPartDetailsById(Long id);

    /**
     * 批量删除维修配件详细
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRepairPartDetailsByIds(Long[] ids);

    /**
     * 批量删除维修配件详细
     * @param repairPartDetails
     * @return
     */
    int deleteRepairCostByTaskId(RepairPartDetails repairPartDetails);
}
